Extend Commercial VRP Consent
curl --request POST \
--url https://api.yapily.com/variable-recurring-payments/commercial/consents/{consentId}/extend \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/variable-recurring-payments/commercial/consents/{consentId}/extend"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/variable-recurring-payments/commercial/consents/{consentId}/extend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "12345678901234567890123456789012"
},
"data": {
"consentId": "00000000-0000-0000-0000-000000000000",
"status": "EXTENDED"
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 401,
"status": "UNAUTHORIZED",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "CREDENTIALS",
"code": "CREDENTIALS_MISSING",
"message": "Authentication header not present"
}
]
}
}{
"error": {
"tracingId": "6a998ae2f832a84cbc174f026dc6d8ce",
"code": 404,
"status": "NOT_FOUND",
"supportUrl": "https://support.yapily.com/",
"source": "USER",
"issues": [
{
"type": "INVALID_REQUEST",
"code": "Yapily.gateway.api.consent.not.found",
"message": "The consent '1b7c7a6a-8f95-4f1d-888f-13634662586d' can't be found."
}
]
}
}Variable Recurring Payments
Extend Commercial VRP Consent
Extend Commercial VRP consent by Consent ID.
This endpoint is related to the management of cVRP dormant consent extension and should only be used for that purpose to avoid automatic revocation of the consent when it is unused for 13 consecutive months. You should only call this endpoint after receiving a warning via a Webhook on commercial_vrp.dormant_consent.warning.v1 within 48 h from notification
Extend Commercial VRP Consent
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
The cVRP Consent ID to extend.
Was this page helpful?